# GimpUi.prop_hscale_new

    function prop_hscale_new(config: GObject.Object, property_name: String, step_increment: Number(gdouble), page_increment: Number(gdouble), digits: Number(gint)): Gtk.Widget {
        // Gjs wrapper for gimp_prop_hscale_new()
    }

Creates a horizontal scale to control the value of the specified integer or double property.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of integer or double property controlled by the scale.

step_increment

  Step size.

page_increment

  Page size.

digits

  Number of digits after decimal point to display.

Returns

  A new Gtk.Scale.